// Header --------------

@import "../../core/variables";
@import "header_logo/logo";
@import "header_menu/menu";

$header-height: 106px;
$header-height-tablet: 66px;

$button-menu-size: 24px;

.header {
  position: fixed;
  top: 0;
  left: 0;
  z-index: z(header);
  width: 100%;
  height: $header-height;
  background-color: $color-white-darken;
  box-shadow: 0 0 16px 1px rgba(2, 3, 4, .19);

  @include mq("laptop-small", "max") {
    height: $header-height-tablet;
  }
}

.header_container {
  display: flex;
  align-items: center;
  height: 100%;
}

.header__logo {

  @include mq("laptop-small", "max") {
    margin-right: 20px;
  }

  & + .header__menu {

    @include mq("laptop-small") {
      margin-left: 30px;
    }
  }
}

.header__contacts {
  margin-left: auto;
}

.call-me {
  display: flex;
  flex-direction: column;
  text-align: right;
}

.call-me__phone {
  color: $color-black-light;
  font-weight: $text-weight-bold;
}

.call-me__link {
  color: $color-primary;
  font-size: $text-size-xs;
  text-decoration: underline;

  &:hover {
    color: $color-primary;
    text-decoration: none;
  }
}

.header__button-menu {
  position: relative;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: $button-menu-size;
  height: $button-menu-size;
  padding: 0;
  margin-left: 20px;
  border: 0;
  background: transparent;
  cursor: pointer;

  @include mq("laptop-small") {
    display: none;
  }

  svg {
    width: 100%;
    height: 100%;
  }

  &::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 40px;
    height: 40px;
    transform: translate(-50%, -50%);
  }
}
// -------------- end header
